[med-svn] [Git][med-team/nutsqlite][master] 6 commits: add tcl-thread as dependency to nut

Étienne Mollier gitlab at salsa.debian.org
Wed Nov 4 00:18:47 GMT 2020



Étienne Mollier pushed to branch master at Debian Med / nutsqlite


Commits:
ab337eed by Étienne Mollier at 2020-11-03T23:39:40+01:00
add tcl-thread as dependency to nut

- - - - -
de86143a by Étienne Mollier at 2020-11-04T00:08:48+01:00
add myself to Uploaders

- - - - -
41fa1ecb by Étienne Mollier at 2020-11-04T00:49:19+01:00
add superficial autopkgtest

- - - - -
ed4592c0 by Étienne Mollier at 2020-11-04T00:50:38+01:00
update changelog accordingly

- - - - -
54b8ca70 by Étienne Mollier at 2020-11-04T01:07:36+01:00
wrote update-nut manual page

- - - - -
fbc9f39a by Étienne Mollier at 2020-11-04T01:12:30+01:00
routine-update: Ready to upload to unstable

- - - - -


6 changed files:

- debian/changelog
- debian/control
- debian/nutsqlite.manpages
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/update-nut.1


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+nutsqlite (2.0.6-3) unstable; urgency=medium
+
+  * Added myself to Uploaders.
+  * Added tcl-thread as dependency for nut.  (Closes: #973725)
+  * Added superficial autopkgtest of update-nut.
+
+ -- Étienne Mollier <etienne.mollier at mailoo.org>  Wed, 04 Nov 2020 01:12:07 +0100
+
 nutsqlite (2.0.6-2) unstable; urgency=medium
 
   * Replace myself instead of Iain R. Learmonth as Uploader since Ian


=====================================
debian/control
=====================================
@@ -1,6 +1,7 @@
 Source: nutsqlite
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille at debian.org>
+Uploaders: Andreas Tille <tille at debian.org>,
+           Étienne Mollier <etienne.mollier at mailoo.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -15,7 +16,8 @@ Package: nutsqlite
 Architecture: all
 Depends: ${misc:Depends},
          tk,
-         libsqlite3-tcl
+         libsqlite3-tcl,
+         tcl-thread
 Description: Dietary nutrition analysis software
  NUTsqlite uses the USDA database and stores this along with your personal data
  in a portable SQLite database allowing you to perform analysis and plan for


=====================================
debian/nutsqlite.manpages
=====================================
@@ -1 +1,2 @@
 debian/nut.1
+debian/update-nut.1


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, file
+Restrictions: allow-stderr, superficial


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,42 @@
+#!/bin/bash
+set -e
+
+pkg=nutsqlite
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd "${AUTOPKGTEST_TMP}"
+
+set -v
+
+###############################################################################
+# Testing update-nut
+set +e
+DISPLAY= update-nut
+STATUS=$?
+set -e
+# The database construction fails with error 1 due to the windowing being
+# unavailable, but this is expected; the database should be created anyway.
+test "$STATUS" = 1
+# Checking update-nut artifacts
+test "$(file nut.db     | awk '{print $2, $3, $4}')" = 'SQLite 3.x database,'
+test "$(file nut.db-shm | awk '{print $2        }')" = 'data'
+test "$(file nut.db-wal | awk '{print $2, $3, $4}')" = 'SQLite Write-Ahead Log,'
+
+###############################################################################
+# NOTE: to remove the "superficial" marker, it would be nice to have a test of
+# the "nut" program, but this would require the USDA food Standard Reference,
+# which seems to be packageable, under CC0-1.0 license:
+#
+# 	https://data.nal.usda.gov/dataset/composition-foods-raw-processed-prepared-usda-national-nutrient-database-standard-reference-release-28-0
+#
+# In addition, it would require a running X server and a record of a session
+# clicking around, using "cnee" for instance.
+###############################################################################


=====================================
debian/update-nut.1
=====================================
@@ -0,0 +1,53 @@
+.\" manual page [] for nut
+.\" SH section heading
+.\" SS subsection heading
+.\" LP paragraph
+.\" IP indented paragraph
+.\" TP hanging label
+.TH "update-nut" "1" "2020.11.04" "" ""
+.SH "NAME"
+.B update-nut 
+- create or upgrade NUT database
+.SH "SYNOPSIS"
+.B update-nut
+.SH "DESCRIPTION"
+.PP
+Download the full ascii version of the USDA Nutrient Database,
+available from 
+http://www.ars.usda.gov/nutrientdata
+or from
+http://nut.sourceforge.net,
+and unzip it in some directory.
+.PP
+Then,
+run "update-nut" to create or upgrade the
+.B NUT
+code in the SQLite database that runs the application in the same directory as the USDA Nutrient Database.
+If upgrading,
+you have to be in the same directory as the "nut.db" file.
+After this step,
+"update-nut" is not required for anything.
+Updating the
+.B NUT
+code with "update-nut" is independent of updating the USDA database,
+although it is certainly possible that the USDA could change the format of their tables,
+so that a later version of "update-nut" would be required in order to read their tables or display new nutrients.
+The main idea is that your personal data is permanent,
+even though the application code and USDA tables can change as necessary..
+.SH "FILES"
+.nf
+nut.db        All personal data, the USDA Nutrient Database, and Tcl scripts
+nut.db-shm    Database shared memory area
+nut.db-wal    Database write-ahead log
+update-nut    Tcl script to create or update the NUT code in the database
+nut           Tcl script to start the NUTsqlite program
+.fi 
+.SH "AUTHOR"
+.LP 
+.nf
+Jim Jozwiak (jozwiak at gmail.com, av832 at lafn.org)
+http://nut.sourceforge.net/
+.SH "COPYING"
+.LP 
+Copyright (C) 1996-2016 by Jim Jozwiak.
+This manual page was written by Étienne Mollier <etienne.mollier at mailoo.org> for the Debian distribution.



View it on GitLab: https://salsa.debian.org/med-team/nutsqlite/-/compare/927bb0b1ac556b962e19630a704b6c29b58fb101...fbc9f39acc781deb5f8c06bc6ee1886f6a82f038

-- 
View it on GitLab: https://salsa.debian.org/med-team/nutsqlite/-/compare/927bb0b1ac556b962e19630a704b6c29b58fb101...fbc9f39acc781deb5f8c06bc6ee1886f6a82f038
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201104/ec90608b/attachment-0001.html>


More information about the debian-med-commit mailing list